var System=require("../../system");
var settings=require("../../../config/settings");
const ApiBase =require("../api.base");
const logCtl=System.getObject("web.oplogCtl");
// const uuidv4 = require('uuid/v4');
class PaSearchApi extends ApiBase{
    constructor(){
      super();
      this.utilspaSve=System.getObject("service.utilspaSve");
    }
    //----------------------------------------------------专利数据-----------------------
    //专利列表=post
    async getPaShortList(obj){
      var data= await this.checkKey(obj.appKey);
      if(data && data.status==-1){
        return data;
      }
      return this.utilspaSve.paShortListByApplicantName(obj,"bossShopApplet");
    }
    //专利详情=post
    async getPaDetails(obj){
      console.log(obj,"pa..............................");
      
      var data= await this.checkKey(obj.appKey);
      if(data && data.status==-1){
        return data;
      }
      obj.page_size=1;
      obj.current_page=1;
      return this.utilspaSve.paDetails(obj,"bossShopApplet");
    }

}
module.exports=PaSearchApi;
